<?xml-stylesheet type="text/xsl" href="vb.xsl"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns:vb="http://www.microsoft.com/vb">
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xmp>
		<tvwnodes>
			<xsl:for-each select="*">
				<xsl:variable name="key" select="generate-id()"/>
				<tvwnode key="{$key}" relation="0" relative="" title="{name(.)}"/>
				<xsl:apply-templates select="*">
					<xsl:with-param name="ancestor_key" select="$key"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</tvwnodes>
		</xmp>
	</xsl:template>
	
	<xsl:template match="*">
		<xsl:param name="ancestor_key"/>
		<xsl:variable name="key" select="generate-id()"/>
		<tvwnode key="{$key}" relation="4" relative="{$ancestor_key}" title="{name(.)}"/>
		<xsl:apply-templates select="*">
			<xsl:with-param name="ancestor_key" select="$key"/>
		</xsl:apply-templates>
	</xsl:template>
</xsl:stylesheet>