VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5400
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   7245
   LinkTopic       =   "Form1"
   ScaleHeight     =   5400
   ScaleWidth      =   7245
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox SectionContentText 
      Height          =   4095
      Left            =   3480
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Text            =   "ArticleForm.frx":0000
      Top             =   600
      Width           =   3495
   End
   Begin MSComDlg.CommonDialog cdlg 
      Left            =   1440
      Top             =   4080
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.ListBox SectionsList 
      Height          =   2595
      Left            =   120
      TabIndex        =   0
      Top             =   600
      Width           =   3015
   End
   Begin VB.Label Label1 
      Caption         =   "Contents"
      Height          =   255
      Index           =   1
      Left            =   3600
      TabIndex        =   3
      Top             =   360
      Width           =   2775
   End
   Begin VB.Label Label1 
      Caption         =   "Sections"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   2
      Top             =   360
      Width           =   2775
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public articleDoc As New DOMDocument

Public Function DisplayContents(sectionName As String)
    Dim sectonContent As String
    Dim sectionNode As IXMLDOMElement
    Dim buffer As String
    Dim subElt As IXMLDOMElement
    With SectionsList
        sectionName = .Text
        Set sectionNode = articleDoc.selectSingleNode("//section[title='" + sectionName + "']")
        For Each subElt In sectionNode.selectNodes("*")
            buffer = buffer + subElt.Text + vbCrLf + vbCrLf
        Next
        SectionContentText.Text = buffer
    End With

End Function


Function LoadDocument(url As String)
    articleDoc.async = False
    articleDoc.Load url
    Me.Caption = articleDoc.selectSingleNode("//head/title").Text
    loadSelections
End Function

Public Function loadSelections()
    Dim sections As IXMLDOMNodeList
    Dim section As IXMLDOMNode
    Set sections = articleDoc.selectNodes("//section")
    SectionsList.Clear
    For Each section In sections
        SectionsList.AddItem section.selectSingleNode("title").Text
    Next
    SectionsList.ListIndex = 0
End Function

Private Sub mnuFileOpen_Click()
    cdlg.Filter = "XML Files (*.xml,*.xsl)|*.xml;*xsl"
    cdlg.ShowOpen
    If cdlg.FileName <> "" Then
        LoadDocument cdlg.FileName
    End If
End Sub


Private Sub SectionsList_Click()
    DisplayContents SectionsList.Text
End Sub


Private Sub Text1_Change()

End Sub


